curl --request POST \
--url 'https://api.stateset.com/api/v1/negotiations' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"auto_accept_below": null,
"auto_reject_above": null,
"buyer_agent_id": "string",
"currency": null,
"expires_in_hours": null,
"initial_offer": "string",
"max_rounds": null,
"seller_agent_id": "string"
}'
{
"buyer_agent_id": "string",
"created_at": "string",
"currency": "string",
"current_offer": "string",
"id": "string",
"max_rounds": 1,
"offer_count": 1,
"rounds": 1,
"seller_agent_id": "string",
"status": "string"
}
`POST /api/v1/negotiations`
POST /api/v1/negotiations
POST
/
api
/
v1
/
negotiations
curl --request POST \
--url 'https://api.stateset.com/api/v1/negotiations' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"auto_accept_below": null,
"auto_reject_above": null,
"buyer_agent_id": "string",
"currency": null,
"expires_in_hours": null,
"initial_offer": "string",
"max_rounds": null,
"seller_agent_id": "string"
}'
{
"buyer_agent_id": "string",
"created_at": "string",
"currency": "string",
"current_offer": "string",
"id": "string",
"max_rounds": 1,
"offer_count": 1,
"rounds": 1,
"seller_agent_id": "string",
"status": "string"
}
Request body
CreateNegotiationRequest
string,null
string,null
string
required
string,null
integer,null (int32)
string
required
integer,null (int32)
string
required
Responses
NegotiationResponse
ErrorBody
curl --request POST \
--url 'https://api.stateset.com/api/v1/negotiations' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"auto_accept_below": null,
"auto_reject_above": null,
"buyer_agent_id": "string",
"currency": null,
"expires_in_hours": null,
"initial_offer": "string",
"max_rounds": null,
"seller_agent_id": "string"
}'
{
"buyer_agent_id": "string",
"created_at": "string",
"currency": "string",
"current_offer": "string",
"id": "string",
"max_rounds": 1,
"offer_count": 1,
"rounds": 1,
"seller_agent_id": "string",
"status": "string"
}
โI